Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.model.dynamics
Class Event

    |
    +--biouml.model.dynamics.EModelRoleSupport
      |
      +--biouml.model.dynamics.Event

public class Event
extends EModelRoleSupport
implements ExpressionOwner

Constructor Summary
`Event(DiagramElement de, String name)`
`Event(DiagramElement de, String trigger, String delay, Assignment[] actions)`

Method Summary
`void` | `addEventAssignment(Assignment ea, boolean fireEvent)`
`String` | `getDelay()`
`Assignment[]` | `getEventAssignment()`
`Assignment` | `getEventAssignment(int i)`
`String[]` | `getExpressions()`
`EModelRole` | `getRole()`
`String` | `getTimeUnits()`
`String` | `getTrigger()`
`boolean` | `isExpression(String propertyName)`
`void` | `setDelay(String delay)`
`void` | `setEventAssignment(Assignment[] eventAssignment)`
`void` | `setEventAssignment(int i, Assignment eventAssignment)`
`void` | `setTimeUnits(String units)`
`void` | `setTrigger(String trigger)`
`String` | `toString()`

Methods inherited from class biouml.model.dynamics.EModelRoleSupport
`clone, getComment, getDiagramElement, setComment`

Constructor Detail

### Event

    public Event(DiagramElement de, String name)

### Event

    public Event(DiagramElement de, String trigger, String delay, Assignment[] actions)

Method Detail

### addEventAssignment

    public void addEventAssignment(Assignment ea, boolean fireEvent)

### getDelay

    public String getDelay()

### getEventAssignment

    public Assignment[] getEventAssignment()

### getEventAssignment

    public Assignment getEventAssignment(int i)

### getExpressions

    public String[] getExpressions()

### getRole

    public EModelRole getRole()

### getTimeUnits

    public String getTimeUnits()

### getTrigger

    public String getTrigger()

### isExpression

    public boolean isExpression(String propertyName)

### setDelay

    public void setDelay(String delay)

### setEventAssignment

    public void setEventAssignment(Assignment[] eventAssignment)

### setEventAssignment

    public void setEventAssignment(int i, Assignment eventAssignment)

### setTimeUnits

    public void setTimeUnits(String units)

### setTrigger

    public void setTrigger(String trigger)

### toString

    public String toString()

Association Links

to Class java.lang.String

  Trigger property. Event is firing when trigger makes the transition from false to true. The event will fire at any further time points when the trigger make this transition.

to Class java.lang.String

  Delay property defines the length of time after the event has fired that the event is executed. This String should be evaluated when the rule is fired. The value of the delay String should always be positive. This is optional property, its default value is 0.

to Class java.lang.String

  Determines the units of time that apply to the delay. If not set, the units are taken from the defaults defined by the built-in "time".

to Class biouml.model.dynamics.Assignment

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM